## org.openorb.util
Class Profiler

    java.lang.Object
      |
      +--org.openorb.util.Profiler

public abstract class Profiler
extends java.lang.Object

Profiler utility.

Version:
  $Revision: 1.7 $ $Date: 2002/07/14 19:12:40 $
Author:
  Chris Wood

Constructor Summary
`Profiler()`

Method Summary
`static double[]` `means()` Calculate the average of the sample points taken so far.
`static int` `next()` Make another sample and return the current index.
`static void` `point()` Get another sample.
`static void` `reset(int points)` Reset the values of the profiler.
`static double[]` `stddev()` Calculate the standard derivation.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Profiler

    public Profiler()

Method Detail

### reset

    public static void reset(int points)

  Reset the values of the profiler.
  Parameters:
    `points` - The number of profiling points to take.

### point

    public static void point()

  Get another sample.

### next

    public static int next()

  Make another sample and return the current index.
  Returns:
    The current sample index.

### means

    public static double[] means()

  Calculate the average of the sample points taken so far.
  Returns:
    Return an array of average values.

### stddev

    public static double[] stddev()

  Calculate the standard derivation.
  Returns:
    The standard derivation of the sample points taken so far.